Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Enabling/Disabling plugins should warn the user about overridden config values #241

Open
regisb opened this issue Aug 7, 2019 · 0 comments

Comments

@regisb
Copy link
Collaborator

commented Aug 7, 2019

Is your feature request related to a problem? Please describe.

When disabling a plugin, the overridden config values defined in the set dict are not removed. This is because we might want to re-use the same values later on. However, this may cause an issue when these values are used elsewhere in the platform. For instance, the OPENEDX_AWS_SECRET_ACCESS_KEY overridden by the minio plugin causes an S3 error, as described in this discussion: https://discuss.overhang.io/t/error-when-importing-a-course/111

Describe the solution you'd like

When running tutor plugins disable xxx or tutor plugins enable xxx, some information should be printed about which settings are about to be overridden, and how to remove them (tutor config save --unset=SETTING1,SETTING2).

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
1 participant
You can’t perform that action at this time.